Bug 472784 - [enh] sharing security settings/permissions based on connected network
[enh] sharing security settings/permissions based on connected network
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
14
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-24 11:25 EST by Krzysztof "Uosiu" Hajdamowicz
Modified: 2012-08-16 12:45 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 12:45:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Krzysztof "Uosiu" Hajdamowicz 2008-11-24 11:25:49 EST
Description of problem:
This is a feature request to add trusted/untrusted zones in NetworkManager, to define actions to perform when user changes networks (start/stop services like stopping samba, vsftpd when joining HotSpots etc, or to specify a list of Allowed IPs in medium mode etc)

Version-Release number of selected component (if applicable):
NetworkManager-0.7.0-0.11.svn4229.fc10.x86_64

Expected Addons:
- Start/Stop/Block on firewall services when joining untrusted network
- Define a list of Allowed IPs to connect to my box when NetworkManager is in medium mode
- Paranoid mode, when we think that someone is penetrating our machine (not much possible, but there is such risk)- just /etc/init.d/iptables panic
- Possibility to assign networks to zones (uosiu!@#$ is my home network, and PWr-WiFi is hotspot)
Comment 1 Dan Williams 2008-11-24 11:47:08 EST
NetworkManager provides information necessary for this functionality over D-Bus, but itself is only the mechanism, not the policy, for this sort of thing.  Other services are more appropriate to handle this sort of policy...  Not entirely sure what component it should be filed against, but this could be implemented today with a service that listens on D-Bus and matches the connection that just got activated against a list of policies to apply.

Probably more related to firewall config or something instead?
Comment 2 Krzysztof "Uosiu" Hajdamowicz 2008-11-24 13:47:28 EST
In microsoft products (vista) system asks where are you when You connects to the Wi-Fi or cable network. Simmilar thing is NetworkManager in linux and I think that it is a best place to exec some scripts to immunize and unprotect our's machine.
If it can change association of wlan card with AP or set manually IP's, why couldn't it stop some services and add some rules to iptables?
Comment 3 Dan Williams 2008-11-24 13:57:36 EST
This can certainly be done, but is outside the scope of the NetworkManager daemon itself.

NM _does_, however, provide a D-Bus interface that apps can listen to for network changes to achieve exactly what you want, _and_ a script-based event system that executes scripts in /etc/NetworkManager/dispatcher.d when network devices go up and down.  Using those two mechanisms, what you want to do is quite possible.
Comment 4 Bug Zapper 2008-11-26 00:52:19 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Thomas Woerner 2009-03-16 12:48:19 EDT
Before this can be done for the firewall there has to be some place where you define, if a network interface is a home network, an external interface, a trusted interface or something else.

This has to be done in NetworkManager, because it is used to control and start/stop networks. system-config-firewall is not responsible for network configurations and therefore is not the right place to decide if a new network connection should be trusted or not.

Reassigning to NetworkManager.
Comment 6 Niels Haase 2009-04-10 16:41:24 EDT
Changing title to reflect the enhancement request.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 7 Bug Zapper 2009-11-16 04:38:16 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-11-04 07:40:41 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Fedora End Of Life 2012-08-16 12:45:29 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.